Index: Singular/iparith.cc
===================================================================
--- Singular/iparith.cc	(revision 3ebd198f5ff9a3039d51bd30067bf71868c1112b)
+++ Singular/iparith.cc	(revision fca547bc4a4fdc03461b1fa87b33c326d44b5733)
@@ -209,5 +209,9 @@
   { "monitor",     0, MONITOR_CMD ,       CMD_12},
   { "mult",        0, MULTIPLICITY_CMD ,  CMD_1},
+  #ifdef OLD_RES
   { "mres",        0, MRES_CMD ,          CMD_23},
+  #else
+  { "mres",        0, MRES_CMD ,          CMD_2},
+  #endif
   { "mstd",        0, MSTD_CMD ,          CMD_1},
   { "nameof",      0, NAMEOF_CMD ,        CMD_1},
@@ -243,5 +247,9 @@
   { "reduce",      0, REDUCE_CMD ,        CMD_23},
   { "regularity",  0, REGULARITY_CMD ,    CMD_1},
+  #ifdef OLD_RES
   { "res",         0, RES_CMD ,           CMD_23},
+  #else
+  { "res",         0, RES_CMD ,           CMD_2},
+  #endif
   { "reservedName",0, RESERVEDNAME_CMD ,  CMD_M},
   { "resolution",  0, RESOLUTION_CMD ,    RING_DECL},
@@ -255,5 +263,9 @@
   { "size",        0, COUNT_CMD ,         CMD_1},
   { "sortvec",     0, SORTVEC_CMD ,       CMD_1},
+  #ifdef OLD_RES
   { "sres",        0, SRES_CMD ,          CMD_23},
+  #else
+  { "sres",        0, SRES_CMD ,          CMD_2},
+  #endif
   { "status",      0, STATUS_CMD,         CMD_23},
   { "std",         0, STD_CMD ,           CMD_12},
@@ -1699,4 +1711,5 @@
   if (r==NULL) return TRUE;
   res->data=(void *)liMakeResolv(r,l,wmaxl,u->Typ(),weights);
+  //res->data=(void *)syMakeResolution(r,l);
   return FALSE;
 }
@@ -2041,4 +2054,6 @@
 ,{jjRES,       MRES_CMD,       LIST_CMD,       IDEAL_CMD,  INT_CMD PROFILER}
 ,{jjRES,       MRES_CMD,       LIST_CMD,       MODUL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       MRES_CMD,       RESOLUTION_CMD, IDEAL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       MRES_CMD,       RESOLUTION_CMD, MODUL_CMD,  INT_CMD PROFILER}
 ,{jjPARSTR2,   PARSTR_CMD,     STRING_CMD,     RING_CMD,   INT_CMD PROFILER}
 ,{jjPARSTR2,   PARSTR_CMD,     STRING_CMD,     QRING_CMD,  INT_CMD PROFILER}
@@ -2057,4 +2072,6 @@
 ,{jjRES,       RES_CMD,        LIST_CMD,       IDEAL_CMD,  INT_CMD PROFILER}
 ,{jjRES,       RES_CMD,        LIST_CMD,       MODUL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       RES_CMD,        RESOLUTION_CMD, IDEAL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       RES_CMD,        RESOLUTION_CMD, MODUL_CMD,  INT_CMD PROFILER}
 ,{jjSTATUS2,   STATUS_CMD,     STRING_CMD,     LINK_CMD,   STRING_CMD PROFILER}
 ,{jjSIMPL_P,   SIMPLIFY_CMD,   POLY_CMD,       POLY_CMD,   INT_CMD PROFILER}
@@ -2064,4 +2081,6 @@
 ,{jjRES,       SRES_CMD,       LIST_CMD,       IDEAL_CMD,  INT_CMD PROFILER}
 ,{jjRES,       SRES_CMD,       LIST_CMD,       MODUL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       SRES_CMD,       RESOLUTION_CMD, IDEAL_CMD,  INT_CMD PROFILER}
+//,{jjRES,       SRES_CMD,       RESOLUTION_CMD, MODUL_CMD,  INT_CMD PROFILER}
 ,{jjCALL2MANY, SYSTEM_CMD,     ANY_TYPE/*set by p*/,STRING_CMD, DEF_CMD PROFILER}
 ,{jjSTD_1,     STD_CMD,        IDEAL_CMD,      IDEAL_CMD,  POLY_CMD PROFILER}
@@ -3124,5 +3143,4 @@
 ,{jjKBASE,      KBASE_CMD,       MODUL_CMD,      MODUL_CMD }
 ,{atKILLATTR1,  KILLATTR_CMD,    NONE,           IDHDL }
-,{jjCALL1MANY,  LIST_CMD,        LIST_CMD,       DEF_CMD }
 #ifdef MDEBUG
 ,{jjpHead,      LEAD_CMD,        POLY_CMD,       POLY_CMD }
@@ -3141,4 +3159,5 @@
 ,{jjLEADEXP,    LEADEXP_CMD,     INTVEC_CMD,     POLY_CMD }
 ,{jjLEADEXP,    LEADEXP_CMD,     INTVEC_CMD,     VECTOR_CMD }
+,{jjCALL1MANY,  LIST_CMD,        LIST_CMD,       DEF_CMD }
 ,{jjWRONG,      MAP_CMD,         0,              ANY_TYPE}
 ,{jjDUMMY,      MATRIX_CMD,      MATRIX_CMD,     MATRIX_CMD }
@@ -3743,7 +3762,7 @@
   return FALSE;
 }
+#ifdef OLD_RES
 static BOOLEAN jjRES3(leftv res, leftv u, leftv v, leftv w)
 {
-#ifdef OLD_RES
   int maxl=(int)v->Data();
   int l=0;
@@ -3778,8 +3797,7 @@
   iiMakeResolv(r,l,wmaxl,w->name,t3,weights);
   return FALSE;
-#else
   return TRUE;
+}
 #endif
-}
 static BOOLEAN jjSTATUS3(leftv res, leftv u, leftv v, leftv w)
 {
@@ -3830,6 +3848,8 @@
 ,{jjMATRIX_Ma,      MATRIX_CMD, MATRIX_CMD, MATRIX_CMD, INT_CMD,    INT_CMD }
 ,{jjCALL3MANY,      MODUL_CMD,  MODUL_CMD,  DEF_CMD,    DEF_CMD,    DEF_CMD }
+#ifdef OLD_RES
 ,{jjRES3,           MRES_CMD,   NONE,       IDEAL_CMD,  INT_CMD,    ANY_TYPE }
 ,{jjRES3,           MRES_CMD,   NONE,       MODUL_CMD,  INT_CMD,    ANY_TYPE }
+#endif
 ,{jjPREIMAGE,       PREIMAGE_CMD, IDEAL_CMD, RING_CMD,  ANY_TYPE,   ANY_TYPE }
 ,{jjPREIMAGE,       PREIMAGE_CMD, IDEAL_CMD, QRING_CMD, ANY_TYPE,   ANY_TYPE }
@@ -3841,6 +3861,8 @@
 ,{jjREDUCE3_ID,     REDUCE_CMD, MODUL_CMD,  MODUL_CMD,  MODUL_CMD,  INT_CMD }
 ,{jjREDUCE3_ID,     REDUCE_CMD, MODUL_CMD,  MODUL_CMD,  IDEAL_CMD,  INT_CMD }
+#ifdef OLD_RES
 ,{jjRES3,           RES_CMD,    NONE,       IDEAL_CMD,  INT_CMD,    ANY_TYPE }
 ,{jjRES3,           RES_CMD,    NONE,       MODUL_CMD,  INT_CMD,    ANY_TYPE }
+#endif
 #ifdef HAVE_FACTORY
 ,{jjRESULTANT,      RESULTANT_CMD, POLY_CMD,POLY_CMD,   POLY_CMD,   POLY_CMD }
@@ -3848,6 +3870,8 @@
 ,{jjWRONG3,         RESULTANT_CMD, POLY_CMD,POLY_CMD,   POLY_CMD,   POLY_CMD }
 #endif
+#ifdef OLD_RES
 ,{jjRES3,           SRES_CMD,   NONE,       IDEAL_CMD,  INT_CMD,    ANY_TYPE }
 ,{jjRES3,           SRES_CMD,   NONE,       MODUL_CMD,  INT_CMD,    ANY_TYPE }
+#endif
 ,{jjSTATUS3,        STATUS_CMD, INT_CMD,    LINK_CMD,   STRING_CMD, STRING_CMD}
 ,{jjSUBST_P,        SUBST_CMD,  POLY_CMD,   POLY_CMD,   POLY_CMD,   POLY_CMD }
